cabal-version: 2.2

-- This file has been generated from package.yaml by hpack version 0.36.1.
--
-- see: https://github.com/sol/hpack

name:           spicy-chemistry
version:        0.1.0
description:    Chemical elements, atoms, bonds and Molecules for Spicy
author:         Phillip Seeber, Sebastian Seidenath
maintainer:     phillip.seeber@uni-jena.de, sebastian.seidenath@uni-jena.de
copyright:      2024 Phillip Seeber, Sebastian Seidenath
license:        AGPL-3.0-only
license-file:   LICENSE
build-type:     Simple
extra-source-files:
    LICENSE

source-repository head
  type: git
  location: https://gitlab.com/theoretical-chemistry-jena/quantum-chemistry/Spicy

library
  exposed-modules:
      Spicy.Chemistry
      Spicy.Chemistry.Atom
      Spicy.Chemistry.Bond
      Spicy.Chemistry.Common
      Spicy.Chemistry.Element
      Spicy.Chemistry.Molecule
      Spicy.Chemistry.Molecule.Internal
      Spicy.Tests.Chemistry.Generators
  other-modules:
      Paths_spicy_chemistry
  autogen-modules:
      Paths_spicy_chemistry
  hs-source-dirs:
      src
  default-extensions:
      NoImplicitPrelude
      StrictData
      OverloadedStrings
      OverloadedLabels
      OverloadedRecordDot
      RecordWildCards
      CApiFFI
      DeriveGeneric
      DerivingVia
      DerivingStrategies
      DuplicateRecordFields
      GADTs
      LambdaCase
      QuantifiedConstraints
      TypeFamilies
      ViewPatterns
      DataKinds
  ghc-options: -Wall -Wcompat -Widentities -Wincomplete-record-updates -Wincomplete-uni-patterns -Wpartial-fields -Wredundant-constraints
  build-depends:
      aeson >=1.4.4.0 && <2.3
    , base >=4.16 && <4.21
    , binary >=0.8.8.0 && <0.11
    , data-default >=0.7.1.1 && <0.8
    , hedgehog >=1.0.5 && <1.6
    , massiv >=1.0.1.0 && <1.1
    , rio >=0.1.13.0 && <0.2
    , spicy-containers >=0.1.0 && <0.2
    , spicy-linearalgebra >=0.1.0 && <0.2
    , spicy-prelude >=0.1.0 && <0.2
    , spicy-textual >=0.1.0 && <0.2
  default-language: GHC2021

test-suite spicy-chemistry-test
  type: exitcode-stdio-1.0
  main-is: test.hs
  other-modules:
      Spicy.Tests.Chemistry
      Spicy.Tests.Chemistry.Atom
      Spicy.Tests.Chemistry.Bond
      Spicy.Tests.Chemistry.Element
      Spicy.Tests.Chemistry.Molecule
      Paths_spicy_chemistry
  autogen-modules:
      Paths_spicy_chemistry
  hs-source-dirs:
      test
  default-extensions:
      NoImplicitPrelude
      StrictData
      OverloadedStrings
      OverloadedLabels
      OverloadedRecordDot
      RecordWildCards
      CApiFFI
      DeriveGeneric
      DerivingVia
      DerivingStrategies
      DuplicateRecordFields
      GADTs
      LambdaCase
      QuantifiedConstraints
      TypeFamilies
      ViewPatterns
      DataKinds
  ghc-options: -Wall -Wcompat -Widentities -Wincomplete-record-updates -Wincomplete-uni-patterns -Wpartial-fields -Wredundant-constraints -threaded -rtsopts -with-rtsopts=-N
  build-depends:
      aeson >=1.4.4.0 && <2.3
    , base >=4.16 && <4.21
    , binary >=0.8.8.0 && <0.11
    , data-default >=0.7.1.1 && <0.8
    , hedgehog >=1.0.5 && <1.6
    , massiv >=1.0.1.0 && <1.1
    , rio >=0.1.13.0 && <0.2
    , spicy-chemistry
    , spicy-containers >=0.1.0 && <0.2
    , spicy-linearalgebra >=0.1.0 && <0.2
    , spicy-prelude >=0.1.0 && <0.2
    , spicy-textual >=0.1.0 && <0.2
    , tasty >=1.2.3 && <1.6
    , tasty-hedgehog >=1.3.1.0 && <1.5
    , tasty-hunit >=0.10.0.2 && <0.11
  default-language: GHC2021
